> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Person Application



## OpenAPI

````yaml api-reference/openapi-apply.json POST /apply/person_application
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account Opening
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /apply/person_application:
    post:
      tags:
        - Person Application
      summary: Create a Person Application
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Success
                value:
                  bankdata:
                    ip_address: 127.0.0.40
                  citizenship: US
                  date_of_birth: '1732-02-22'
                  email_address: gwash@whitehouse.gov
                  first_name: George
                  last_name: Washington
                  occupation: General
                  phone_number: '2025551111'
                  physical_address:
                    city: Washington
                    postal_code: '20500'
                    state: DC
                    street_line_1: 1600 Pennsylvania Ave
                  tin: '111222444'
            schema:
              properties:
                bankdata:
                  description: Optional arbitrary data the bank can attach to the object
                  type: object
                citizenship:
                  description: >-
                    Two letter ISO country code indicating where this person has
                    citizenship
                  type: string
                date_of_birth:
                  description: Date of birth of the person, ISO 8601 format ('YYYY-MM-DD')
                  type: string
                document_ids:
                  description: Array of Document IDs pertaining to this person
                  items:
                    type: string
                  type: array
                email_address:
                  description: Email address of the person
                  type: string
                first_name:
                  description: >-
                    First (given) name of the person (max of 36 ASCII
                    characters)
                  type: string
                gov_id:
                  deprecated: true
                  type: string
                identification_number:
                  description: International identification number (max of 30 characters)
                  type: string
                identification_number_type:
                  description: >-
                    Type of international identification number (max of 30
                    characters)
                  type: string
                last_name:
                  description: >-
                    Last name (surname) of the person (max of 40 ASCII
                    characters)
                  type: string
                mailing_address:
                  description: Object representing the person's mailing address
                  properties:
                    city:
                      description: City (max 18 characters)
                      type: string
                    country:
                      description: Country (ISO 3166-1 alpha-2). Defaults to `US`
                      type: string
                    postal_code:
                      description: Postal code (5-digit or 5+4 Zip Code for U.S. addresses)
                      type: string
                    state:
                      description: >-
                        State (max 2 characters for US, max 3 characters for
                        other countries)
                      type: string
                    street_line_1:
                      description: First line of the address (max 35 characters)
                      type: string
                    street_line_2:
                      description: Optional second line of the address (max 35 characters)
                      type: string
                  type: object
                middle_name:
                  description: Middle name or initial of the person, if they have one
                  type: string
                occupation:
                  description: Occupation of the person
                  type: string
                phone_number:
                  description: Phone number of the person
                  type: string
                physical_address:
                  description: >-
                    Object representing the person's home address. Required for
                    virtual ledger and some core direct integrations
                  properties:
                    city:
                      description: City (max 18 characters)
                      type: string
                    country:
                      description: Country (ISO 3166-1 alpha-2). Defaults to `US`
                      type: string
                    postal_code:
                      description: Postal code (5-digit or 5+4 Zip Code for U.S. addresses)
                      type: string
                    state:
                      description: >-
                        State (max 2 characters for US, max 3 characters for
                        other countries)
                      type: string
                    street_line_1:
                      description: First line of the address (max 35 characters)
                      type: string
                    street_line_2:
                      description: Optional second line of the address (max 35 characters)
                      type: string
                  type: object
                secondary_email_address:
                  description: Optional secondary email address of the person
                  type: string
                tin:
                  description: U.S. Social Security or IRS tax ID number of the person
                  type: string
                userdata:
                  description: Optional arbitrary data the user can attach to the object
                  type: object
              required:
                - first_name
                - id
                - last_name
                - email_address
        description: The apply.person-application to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    bankdata:
                      ip_address: 127.0.0.40
                    citizenship: US
                    created_at: '2019-03-02T11:55:14Z'
                    date_of_birth: '1732-02-22'
                    email_address: gwash@whitehouse.gov
                    first_name: George
                    id: apsn_01d5w7mvmwvy
                    identification_number: null
                    identification_number_type: null
                    last_name: Washington
                    middle_name: null
                    occupation: General
                    person_id: null
                    phone_number: '2025551111'
                    physical_address:
                      city: Washington
                      country: US
                      postal_code: '20500'
                      state: DC
                      street_line_1: 1600 Pennsylvania Ave
                      street_line_2: null
                    updated_at: '2019-03-02T11:55:14Z'
                    userdata: null
              schema:
                properties:
                  bankdata:
                    description: Optional arbitrary data the bank can attach to the object
                    type: object
                  citizenship:
                    description: >-
                      Two letter ISO country code indicating where this person
                      has citizenship
                    type: string
                  date_of_birth:
                    description: >-
                      Date of birth of the person, ISO 8601 format
                      ('YYYY-MM-DD')
                    type: string
                  document_ids:
                    description: Array of Document IDs pertaining to this person
                    items:
                      type: string
                    type: array
                  email_address:
                    description: Email address of the person
                    type: string
                  first_name:
                    description: >-
                      First (given) name of the person (max of 36 ASCII
                      characters)
                    type: string
                  gov_id:
                    deprecated: true
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  identification_number:
                    description: International identification number (max of 30 characters)
                    type: string
                  identification_number_type:
                    description: >-
                      Type of international identification number (max of 30
                      characters)
                    type: string
                  last_name:
                    description: >-
                      Last name (surname) of the person (max of 40 ASCII
                      characters)
                    type: string
                  mailing_address:
                    description: Object representing the person's mailing address
                    properties:
                      city:
                        description: City (max 18 characters)
                        type: string
                      country:
                        description: Country (ISO 3166-1 alpha-2). Defaults to `US`
                        type: string
                      postal_code:
                        description: >-
                          Postal code (5-digit or 5+4 Zip Code for U.S.
                          addresses)
                        type: string
                      state:
                        description: >-
                          State (max 2 characters for US, max 3 characters for
                          other countries)
                        type: string
                      street_line_1:
                        description: First line of the address (max 35 characters)
                        type: string
                      street_line_2:
                        description: >-
                          Optional second line of the address (max 35
                          characters)
                        type: string
                    type: object
                  middle_name:
                    description: Middle name or initial of the person, if they have one
                    type: string
                  occupation:
                    description: Occupation of the person
                    type: string
                  person_id:
                    description: >-
                      ID of the person object created as a result of a
                      successful account application. Filterable.
                    type: string
                  phone_number:
                    description: Phone number of the person
                    type: string
                  physical_address:
                    description: >-
                      Object representing the person's home address. Required
                      for virtual ledger and some core direct integrations
                    properties:
                      city:
                        description: City (max 18 characters)
                        type: string
                      country:
                        description: Country (ISO 3166-1 alpha-2). Defaults to `US`
                        type: string
                      postal_code:
                        description: >-
                          Postal code (5-digit or 5+4 Zip Code for U.S.
                          addresses)
                        type: string
                      state:
                        description: >-
                          State (max 2 characters for US, max 3 characters for
                          other countries)
                        type: string
                      street_line_1:
                        description: First line of the address (max 35 characters)
                        type: string
                      street_line_2:
                        description: >-
                          Optional second line of the address (max 35
                          characters)
                        type: string
                    type: object
                  secondary_email_address:
                    description: Optional secondary email address of the person
                    type: string
                  tin:
                    description: U.S. Social Security or IRS tax ID number of the person
                    type: string
                  userdata:
                    description: Optional arbitrary data the user can attach to the object
                    type: object
          description: The apply.person-application created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````